Show: Inherited Protected Private Deprecated

# Base Class

Defined in: `src/ui/react/src/oop/base.js:4`

Quick and dirty impl of Base class.

## Constructor

### `Base`

()

Defined in `src/ui/react/src/oop/base.js:4`

## Index

### Methods

- _callChain
- destroy
- init

## Methods

### `_callChain`

(

- `wat`
- `args`

)
protected

Defined in `src/ui/react/src/oop/base.js:37`

Calls a method of each class, which is being present in the hierarchy starting from parent to the child.

#### Parameters:

- `wat` String

  The method, which should be invoked

- `args` Object | Array

  The arguments with which the method should be invoked

### `destroy`

()

Defined in `src/ui/react/src/oop/base.js:28`

Calls the `destructor` method of each class which extends Base starting from the parent to the child.

### `init`

(

- `config`

)

Defined in `src/ui/react/src/oop/base.js:17`

Calls the `initializer` method of each class which extends Base starting from the parent to the child. Will pass the configuration object to each initializer method.

#### Parameters:

- `config` Object

  Configuration object